: Interface ViewedStore

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.view
Interface ViewedStore

All Known Implementing Classes:
  ViewedStoreBase

public abstract interface ViewedStore
extends ViewedFolder

Field Summary
`static int` | `kActive` Value for setVisible() for showing active folders
`static int` | `kAll` Value for setVisible() for showing all folders
`static int` | `kSubscribed` Value for setVisible() for showing subscribed folders

Method Summary
`void` | `addViewedStoreListener(ViewedStoreListener l)` Adds a ViewedStoreListener
`ViewedFolder` | `getDefaultFolder()` Returns the store's default folder wrapped in a ViewedFolder object.
`java.lang.String` | `getDescription()` Returns the description for this store
`java.lang.String` | `getHost()` Returns the host for this store.
`int` | `getID()` Returns the id which identifies this store in the preferences/
`java.lang.String` | `getPassword()` Returns the password.
`int` | `getPort()` Returns the port used to connect.
`java.lang.String` | `getProtocol()` Returns the protocol used by this store.
`javax.mail.Store` | `getStore()` Returns the associated store.
`java.lang.String` | `getUsername()` Returns the user name used to connect.
`int` | `getVisible()` Returns which children are showing for this store
`boolean` | `isConnected()` Returns the connected state of this store
`void` | `removeViewedStoreListener(ViewedStoreListener l)` Removes a ViewedStoreListener
`void` | `setVisible(int aVisible)` Sets which children to show for this store

Methods inherited from interface grendel.view.ViewedFolder
`getFirstSubFolder, getFolder, getMessageCount, getName, getNextFolder, getParentFolder, getUndeletedMessageCount, getUnreadMessageCount, getViewedFolder, getViewedStore, isInbox`

Field Detail

### kAll

    public static final int kAll

  Value for setVisible() for showing all folders

### kSubscribed

    public static final int kSubscribed

  Value for setVisible() for showing subscribed folders

### kActive

    public static final int kActive

  Value for setVisible() for showing active folders

Method Detail

### getStore

    public javax.mail.Store getStore()

  Returns the associated store.

### getDefaultFolder

    public ViewedFolder getDefaultFolder()
                                  throws javax.mail.MessagingException

  Returns the store's default folder wrapped in a ViewedFolder object.

### getID

    public int getID()

  Returns the id which identifies this store in the preferences/

### getDescription

    public java.lang.String getDescription()

  Returns the description for this store

### getProtocol

    public java.lang.String getProtocol()

  Returns the protocol used by this store.

### getHost

    public java.lang.String getHost()

  Returns the host for this store. Returns null for a local store.

### getUsername

    public java.lang.String getUsername()

  Returns the user name used to connect. May return null if no user name was used.

### getPassword

    public java.lang.String getPassword()

  Returns the password.

### getPort

    public int getPort()

  Returns the port used to connect. Returns -1 for the protocol default.

### isConnected

    public boolean isConnected()

  Returns the connected state of this store

### setVisible

    public void setVisible(int aVisible)

  Sets which children to show for this store

### getVisible

    public int getVisible()

  Returns which children are showing for this store

### addViewedStoreListener

    public void addViewedStoreListener(ViewedStoreListener l)

  Adds a ViewedStoreListener

### removeViewedStoreListener

    public void removeViewedStoreListener(ViewedStoreListener l)

  Removes a ViewedStoreListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD